xmonad-contrib-0.11.1: Third party extensions for xmonad

Portability | not portable
Stability | unstable
Maintainer | spencerjanssen@gmail.com
Safe Haskell | None

XMonad.Util.SpawnOnce

Description

A module for spawning a command once, and only once. Useful to start status bars and make session settings inside startupHook.

Synopsis

- spawnOnce :: String -> X ()

# Documentation

spawnOnce :: String -> X ()

The first time `spawnOnce` is executed on a particular command, that command is executed. Subsequent invocations for a command do nothing.